Results 1 to 2 of 2

Thread: sencha app run native fails with 2 platforms

  1. #1
    Sencha User
    Join Date
    Jan 2009
    Posts
    39
    Vote Rating
    0
      0  

    Default sencha app run native fails with 2 platforms

    Hi Guys,

    I created a project in architect 2.2.3 with touch 2.4.2, and im using sencha cordova to do my builds

    If i enter 2 platforms in my app.json ("platforms": "android windows") , the sencha app run native command fails at the end with the following error.

    If i just enter 1 platform ("platforms": "android" OR "platforms": "windows"), everything goes smooth, and my app is installed and launched on either android or windows 10.

    Any idea ho to resolve this issue ?



    UPDATE1:
    If i switch the 2 platforms like "platforms": "windows android", the app is installed on android but fails to launch in windows, resulting in the same error below.

    Again if i only set"platforms": "windows" the app installs and launches in windows.


    UPDATE2: If i execute "cordova run" on a small standanlone cordova project with android and windows platforms added, it works fine.
    Both apps are installed and launched.




    Code:
    xception information:
    =======================
    C:\Users\Jerrel.S\bin\Sencha\Cmd\6.5.1.240\plugin.xml:333: The following error occurred while executing this line:
    c:\wamp\www\LoxTop\.sencha\app\build-impl.xml:442: The following error occurred while executing this line:
    c:\wamp\www\LoxTop\.sencha\app\packager-impl.xml:17: The following error occurred while executing this line:
    c:\wamp\www\LoxTop\.sencha\app\cordova-impl.xml:66: The following error occurred while executing this line:
    jar:file:/C:/Users/Jerrel.S/bin/Sencha/Cmd/6.5.1.240/sencha.jar!/com/sencha/ant/antlib.xml:671: shellscript returned: 1
         at com.sencha.ant.AntScript.execute(AntScript.java:121)

  2. #2
    Sencha User
    Join Date
    Jan 2013
    Posts
    2
    Vote Rating
    0
      0  

    Default

    I was getting the same error. Running the build with the -debug switch, I realized I was missing Gradle and the message indicated I should install Android Studio.

    So I installed Android Studio and again got the error, but I noticed the log was now different. Now there was a line indicating I needed to accept the Android SDK license agreement, which itself actually meant I needed Platform SDK 26 (and accept it).

    After all of that, it finally succeeded.

Similar Threads

  1. Android native package from Sencha Architect fails to copy icon files
    By azamatoak in forum Sencha Architect 2.x: Help & Discussions
    Replies: 0
    Last Post: 23 Apr 2013, 1:10 PM
  2. Replies: 4
    Last Post: 27 Jan 2013, 7:58 AM
  3. [FIXED] Native Android packaging fails on Sencha Cmd v3.0.0.181
    By cwelk in forum Sencha Cmd
    Replies: 10
    Last Post: 2 Nov 2012, 3:04 PM
  4. Replies: 3
    Last Post: 24 Jul 2012, 6:07 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •